import request from '@/utils/request'

// 查询消息列表
export function listXbmessage(query) {
  return request({
    url: '/jarvis/xbmessage/list',
    method: 'get',
    params: query
  })
}

// 查询消息详细
export function getXbmessage(messageId) {
  return request({
    url: '/jarvis/xbmessage/' + messageId,
    method: 'get'
  })
}

// 新增消息
export function addXbmessage(data) {
  return request({
    url: '/jarvis/xbmessage',
    method: 'post',
    data: data
  })
}

// 修改消息
export function updateXbmessage(data) {
  return request({
    url: '/jarvis/xbmessage',
    method: 'put',
    data: data
  })
}

// 删除消息
export function delXbmessage(messageId) {
  return request({
    url: '/jarvis/xbmessage/' + messageId,
    method: 'delete'
  })
}

// 获取群名称列表
export function getGroupNameOptions() {
  return request({
    url: '/jarvis/xbgroup/select/groupName',
    method: 'get'
  })
} 